<!--
SPDX-FileCopyrightText: Adam Evyčędo

SPDX-License-Identifier: GPL-3.0-or-later
-->

<resources xmlns:tool="http://schemas.android.com/tools">

	<style name="Theme.Bimba" parent="Theme.Material3.Light.NoActionBar">
		<item name="android:fontFamily">@font/yellowcircle8</item>
		<item name="colorPrimary">@color/md_theme_light_primary</item>
		<item name="colorOnPrimary">@color/md_theme_light_onPrimary</item>
		<item name="colorPrimaryContainer">@color/md_theme_light_primaryContainer</item>
		<item name="colorOnPrimaryContainer">@color/md_theme_light_onPrimaryContainer</item>
		<item name="colorSecondary">@color/md_theme_light_secondary</item>
		<item name="colorOnSecondary">@color/md_theme_light_onSecondary</item>
		<item name="colorSecondaryContainer">@color/md_theme_light_secondaryContainer</item>
		<item name="colorOnSecondaryContainer">@color/md_theme_light_onSecondaryContainer</item>
		<item name="colorTertiary">@color/md_theme_light_tertiary</item>
		<item name="colorOnTertiary">@color/md_theme_light_onTertiary</item>
		<item name="colorTertiaryContainer">@color/md_theme_light_tertiaryContainer</item>
		<item name="colorOnTertiaryContainer">@color/md_theme_light_onTertiaryContainer</item>
		<item name="colorError">@color/md_theme_light_error</item>
		<item name="colorErrorContainer">@color/md_theme_light_errorContainer</item>
		<item name="colorOnError">@color/md_theme_light_onError</item>
		<item name="colorOnErrorContainer">@color/md_theme_light_onErrorContainer</item>
		<item name="android:colorBackground">@color/md_theme_light_background</item>
		<item name="colorOnBackground">@color/md_theme_light_onBackground</item>
		<item name="colorSurface">@color/md_theme_light_surface</item>
		<item name="colorOnSurface">@color/md_theme_light_onSurface</item>
		<item name="colorSurfaceVariant">@color/md_theme_light_surfaceVariant</item>
		<item name="colorOnSurfaceVariant">@color/md_theme_light_onSurfaceVariant</item>
		<item name="colorOutline">@color/md_theme_light_outline</item>
		<item name="colorOnSurfaceInverse">@color/md_theme_light_inverseOnSurface</item>
		<item name="colorSurfaceInverse">@color/md_theme_light_inverseSurface</item>
		<item name="colorPrimaryInverse">@color/md_theme_light_inversePrimary</item>

		<item name="statusBarBackground">@android:color/transparent</item>
		<item name="android:statusBarColor">@android:color/transparent</item>
		<item name="android:enforceStatusBarContrast" tool:targetApi="q">false</item>
		<item name="lightStatusBar">true</item>
		<item name="randomColourLightness">.2</item>
	</style>

	<declare-styleable name="Theme.Bimba">
		<attr name="randomColourLightness" format="float" />
		<attr name="lightStatusBar" format="boolean" />
	</declare-styleable>

	<style name="Theme.Bimba.SearchResult.Title" parent="Theme.Bimba">
		<item name="android:textColor">@color/md_theme_light_onSurfaceVariant</item>
		<item name="android:textSize">16sp</item>
	</style>

	<style name="Theme.Bimba.SearchResult.Description" parent="Theme.Bimba">
		<item name="android:textColor">@color/md_theme_light_onSurfaceVariant</item>
		<item name="android:textSize">9sp</item>
	</style>

	<style name="Theme.Bimba.Splash" parent="Theme.SplashScreen">
		<item name="windowSplashScreenAnimatedIcon">@drawable/ic_launcher_foreground</item>
		<item name="windowSplashScreenIconBackgroundColor">@color/ic_launcher_background</item>
		<item name="postSplashScreenTheme">@style/Theme.Bimba</item>
	</style>

	<style name="Theme.Bimba.Style" />

	<style name="Theme.Bimba.Style.NoActionBar">
		<item name="windowActionBar">false</item>
		<item name="windowNoTitle">true</item>
	</style>

	<style name="roundedImageView" parent="">
		<item name="cornerFamily">rounded</item>
		<item name="cornerSize">24dp</item>
	</style>

	<style name="Preference.SwitchPreferenceCompat" parent="@style/Preference.SwitchPreferenceCompat.Material" tool:ignore="ResourceCycle">
		<item name="widgetLayout">@layout/preferences_switch_material</item>
	</style>
</resources>